ALTER TABLE BOOKKEEPING_RULES
ADD VERSION NUMBER  DEFAULT 1 NOT NULL
;

UPDATE BOOKKEEPING_RULES 
SET CONTRA_ACCOUNT=ACCOUNT,
ACCOUNT = (SELECT BR.ACCOUNT FROM BOOKKEEPING_RULES BR WHERE BR.TYPE='BUYER' AND BR.DATA_CODE IS NULL AND BR.CONDITION1 IS NULL),
ACCOUNT_FOREIGN = (SELECT BR.ACCOUNT FROM BOOKKEEPING_RULES BR WHERE BR.TYPE='BUYER' AND BR.DATA_CODE IS NULL AND BR.CONDITION1='FOREIGN'),
VERSION=2
WHERE TYPE='RECORD' AND DATA_CODE IN ('VIR', 'VI5', 'AKF') AND VERSION=1
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2209, SYSDATE, '5.5', 2129, 'BOOKKEEPING_RULES')
;
